List Workflow Versions

Hand off to an LLM

Deprecated

This v1/v2 endpoint is deprecated. Use the V3 equivalent instead.

GET
/v2/workflows/{workflowName}/versions
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

workflowName*string

Query Parameters

limit?integer
Default50
Range1 <= value <= 100
sortOrder?string

Specifies sorting behavior. The two options are asc and desc to sort ascending and descending respectively, with default sort being ascending. Paging works in both directions.

Default"asc"
Value in"asc" | "desc"
startingAfter?integer

A cursor to use in pagination. startingAfter is a version number that defines your place in the list.

endingBefore?integer

A cursor to use in pagination. endingBefore is a version number that defines your place in the list.

Response Body

application/json

curl -X GET "https://api.bem.ai/v2/workflows/string/versions"
{
  "versions": [
    {
      "id": "string",
      "name": "string",
      "versionNum": 0,
      "displayName": "string",
      "emailAddress": "string",
      "tags": [
        "string"
      ],
      "mainFunction": {
        "id": "string",
        "name": "string",
        "versionNum": 0
      },
      "relationships": [
        {
          "sourceFunction": {
            "id": "string",
            "name": "string",
            "versionNum": 0
          },
          "destinationName": "string",
          "destinationFunction": {
            "id": "string",
            "name": "string",
            "versionNum": 0
          }
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "audit": {
        "workflowCreatedBy": {
          "userActionID": "string",
          "userID": "string",
          "userEmail": "string",
          "apiKeyName": "string",
          "emailAddress": "string",
          "createdAt": "2019-08-24T14:15:22Z"
        },
        "workflowLastUpdatedBy": {
          "userActionID": "string",
          "userID": "string",
          "userEmail": "string",
          "apiKeyName": "string",
          "emailAddress": "string",
          "createdAt": "2019-08-24T14:15:22Z"
        },
        "versionCreatedBy": {
          "userActionID": "string",
          "userID": "string",
          "userEmail": "string",
          "apiKeyName": "string",
          "emailAddress": "string",
          "createdAt": "2019-08-24T14:15:22Z"
        }
      }
    }
  ],
  "totalCount": 0,
  "error": "string"
}

See also